Resource

AI Agent Task Pull Request

Pull requests created by AI agents during task execution.

The AI Agent Task Pull Request Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    ProjectRequired
    Description

    Project this pull request belongs to.

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of the project this pull request belongs to.

  • Name
    aiAgentTask
    Type
    AI Agent TaskRequired
    Description

    AI Agent Task this pull request belongs to.

  • Name
    aiAgentTaskId
    Type
    Object IDRequired
    Description

    ID of the AI Agent Task this pull request belongs to.

  • Name
    aiAgent
    Type
    AI AgentRequired
    Description

    AI Agent that created this pull request.

  • Name
    aiAgentId
    Type
    Object IDRequired
    Description

    ID of the AI Agent that created this pull request.

  • Name
    codeRepository
    Type
    Code Repository
    Description

    Code Repository this pull request was created in.

  • Name
    codeRepositoryId
    Type
    Object ID
    Description

    ID of the Code Repository this pull request was created in.

  • Name
    title
    Type
    TextRequired
    Description

    Title of the pull request.

  • Name
    description
    Type
    Long Text
    Description

    Description/body of the pull request.

  • Name
    pullRequestUrl
    Type
    URL
    Description

    URL to the pull request on the hosting platform.

  • Name
    pullRequestId
    Type
    Number
    Description

    The unique ID of the pull request from the hosting platform.

  • Name
    pullRequestNumber
    Type
    Number
    Description

    The pull request number (e.g., #123).

  • Name
    pullRequestState
    Type
    TextRequired
    Description

    Current state of the pull request (open, closed, merged).

  • Name
    headRefName
    Type
    Text
    Description

    The branch name of the pull request (source branch).

  • Name
    baseRefName
    Type
    Text
    Description

    The target branch for the pull request.

  • Name
    repoOrganizationName
    Type
    Text
    Description

    Organization or username that owns the repository.

  • Name
    repoName
    Type
    Text
    Description

    Name of the repository.

  • Name
    createdByUser
    Type
    User
    Description

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/ai-agent-task-pull-request/get-list

List

This endpoint allows you to retrieve a paginated list of all your AI Agent Task Pull Request. By default, a maximum of ten AI Agent Task Pull Request are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/ai-agent-task-pull-request/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgent": true,
    "aiAgentId": true,
    "aiAgentTask": true,
    "aiAgentTaskId": true,
    "project": true
  },
  "query": {
    "pullRequestState": "Example state"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3769f090-28fe-11f1-b591-3fdcef396aba",
      "aiAgent": "Example ai agent",
      "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "project": "Example project"
    },
    {
      "_id": "3769f091-28fe-11f1-b591-3fdcef396aba",
      "aiAgent": "Example ai agent",
      "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "project": "Example project"
    },
    {
      "_id": "3769f092-28fe-11f1-b591-3fdcef396aba",
      "aiAgent": "Example ai agent",
      "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "project": "Example project"
    }
  ]
}
GETorPOST/api/ai-agent-task-pull-request/:id/get-item

Get item by ID

This endpoint allows you to retrieve AI Agent Task Pull Request by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/ai-agent-task-pull-request/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgent": true,
    "aiAgentId": true,
    "aiAgentTask": true,
    "aiAgentTaskId": true,
    "project": true
  }
}

Response

{
  "_id": "3769f090-28fe-11f1-b591-3fdcef396aba",
  "aiAgent": "Example ai agent",
  "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTask": "Example ai agent task",
  "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
  "project": "Example project"
}
POST/api/ai-agent-task-pull-request/count

Count

This endpoint allows you to retrieve the count of all your AI Agent Task Pull Request.

Optional Request Body

Count Request

POST
/api/ai-agent-task-pull-request/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "pullRequestState": "Example state"
  }
}

Response

{
  "count": 107
}
POST/api/ai-agent-task-pull-request

Create AI Agent Task Pull Request

This endpoint allows you to create a new object.

Create Request

POST
/api/ai-agent-task-pull-request
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "aiAgent": "Example ai agent",
    "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
    "aiAgentTask": "Example ai agent task",
    "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
    "project": "Example project"
  }
}

Response

{
  "_id": "3769f090-28fe-11f1-b591-3fdcef396aba",
  "aiAgent": "Example ai agent",
  "aiAgentId": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTask": "Example ai agent task",
  "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
  "project": "Example project"
}
PUT/api/ai-agent-task-pull-request/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task-pull-request/:id/update-item
GET/api/ai-agent-task-pull-request/:id/update-item

Update Request

PUT
/api/ai-agent-task-pull-request/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "pullRequestState": "Example state",
    "title": "Example title",
    "description": "Example description"
  }
}

Response

{}
DELETE/api/ai-agent-task-pull-request/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task-pull-request/:id/delete-item
GET/api/ai-agent-task-pull-request/:id/delete-item

Delete Request

DELETE
/api/ai-agent-task-pull-request/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read AI Agent Task Pull Request

  • Project Owner
  • Project Admin
  • Project Member
  • Read AI Agent Task
  • Read All Project Resources

Create Permissions

Required to create AI Agent Task Pull Request

  • Project Owner
  • Project Admin
  • Project Member
  • Create AI Agent Task

Update Permissions

Required to update AI Agent Task Pull Request

  • Project Owner
  • Project Admin
  • Project Member
  • Edit AI Agent Task

Delete Permissions

Required to delete AI Agent Task Pull Request

  • Project Owner
  • Project Admin
  • Project Member
  • Delete AI Agent Task